
QGIS Application - Bug report #21441

Multiple issues and deadlocks with WFS

2019-03-01 03:42 PM - Alessandro Pasotti

Status: Open

Priority: High

Assignee: Nyall Dawson

Category: Web Services clients/WFS

Affected QGIS version:3.7(master) Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 29258

Description

I've tested several scenarios and they all works fine and fast with QGIS 2.18.

to reproduce:

git checkout https://github.com/elpaso/qgis3-server-vagrant.git

cd qgis3-server-vagrant

vagrant up

There is a configured project in the resource/qgis folder:  https://github.com/elpaso/qgis3-server-vagrant/tree/master/resources/qgis

Issues:

    -  Timeout when loading the features layer "world" with all deployment methods (apache 8081, ngix 8080 and wgsi 8082), tested with

ab concurrent and got no issues at all: fast and reliable

    -  Partial download of the features

    -  The a.m. vagrant has a HTTP Basic auth configuration username=username and password=password, but I tested also a

configuration without HTTP auth and the issues are still there.

I've also observed deadlock in qgswfsrequest.cpp line 206 - waitCondition.wait( &waitConditionMutex ); when opening another WFS from

metasearch catalog window.

Related issues:

Related to QGIS Application - Bug report # 19801: WFS not working at all Open 2018-09-10

History

#1 - 2019-03-01 03:58 PM - Alessandro Pasotti

btw, 3.4 has the same issues

#2 - 2019-03-01 10:14 PM - Giovanni Manghi

- Priority changed from Normal to High

I can confirm that WFS works in a very inconsistent way now on 3.4.5 and above.

#3 - 2019-03-08 11:16 AM - Jacob Madsen
https://github.com/elpaso/qgis3-server-vagrant/tree/master/resources/qgis


Giovanni Manghi wrote:

I can confirm that WFS works in a very inconsistent way now on 3.4.5 and above.

I can confirm these issues as well. I've had to stick with QGIS 2.x so far, because since QGIS 3.0 WFS in QGIS is next to unusable. I really hope these

issues can be fixed soon. I can confirm that these issues are not present in QGIS 2.18.

#4 - 2019-03-08 11:31 AM - Giovanni Manghi

- Related to Bug report #19801: WFS not working at all added

#5 - 2019-03-08 11:31 AM - Giovanni Manghi

see also #19801

#6 - 2019-03-08 05:07 PM - Giovanni Manghi

We made some test with a service (mapserver is the backend) that do not need authentication.

The real difference seems depends on the "enable paging" option, if not used things seems to work as expected.

#7 - 2019-03-11 02:29 AM - Nyall Dawson

Caused by commit:0addae5b783e541953522eabe178426e820bf852 - changing READ_BUFFER_SIZE_HINT to 0 (unlimited) fixes the issue (likely at

resurrecting the original issue fixed by that commit (which I can't track -- it has the incorrect issue number of #1870, I suspect there's a missing digit here).

#8 - 2019-03-11 02:38 AM - Nyall Dawson

- Assignee set to Nyall Dawson

#9 - 2019-03-11 12:33 PM - Alessandro Pasotti

I can confirm that reverting commit:0addae5b783e541953522eabe178426e820bf852 fixes this issue.
